# class DBus::External

# External authentication class ¶ ↑

Class for 'external' type authentication.

### Public Instance Methods

authenticate() click to toggle source

Performs the authentication.

    # File lib/dbus/auth.rb, line 36
    def authenticate
      # Take the user id (eg integer 1000) make a string out of it "1000", take
      # each character and determin hex value "1" => 0x31, "0" => 0x30. You
      # obtain for "1000" => 31303030 This is what the server is expecting.
      # Why? I dunno. How did I come to that conclusion? by looking at rbus
      # code. I have no idea how he found that out.
      return Process.uid.to_s.split(//).collect { |a| "%x" % a[0].ord }.join
    end